# JDARootCommand (ACF (JDA) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: JDARootCommand

Package co.aikar.commands

# Class JDARootCommand

java.lang.Object
co.aikar.commands.JDARootCommand

All Implemented Interfaces:
  `co.aikar.commands.RootCommand`

public class JDARootCommand extends Object implements co.aikar.commands.RootCommand

## Method Summary

Modifier and Type
Method
Description
`void`
`addChild(co.aikar.commands.BaseCommand command)`
`List<co.aikar.commands.BaseCommand>`
`getChildren()`
`String`
`getCommandName()`
`co.aikar.commands.BaseCommand`
`getDefCommand()`
`co.aikar.commands.CommandManager`
`getManager()`
`com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand>`
`getSubCommands()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface co.aikar.commands.RootCommand

`addChildShared, execute, getDefaultRegisteredCommand, getDescription, getTabCompletions, getTabCompletions, getTabCompletions, getUniquePermission, getUsage, hasAnyPermission`

## Method Details

### addChild

public void addChild (co.aikar.commands.BaseCommand command)

Specified by:
  `addChild` in interface `co.aikar.commands.RootCommand`

### getManager

public co.aikar.commands.CommandManager getManager()

Specified by:
  `getManager` in interface `co.aikar.commands.RootCommand`

### getSubCommands

public com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand> getSubCommands()

Specified by:
  `getSubCommands` in interface `co.aikar.commands.RootCommand`

### getChildren

public List<co.aikar.commands.BaseCommand> getChildren()

Specified by:
  `getChildren` in interface `co.aikar.commands.RootCommand`

### getCommandName

public String getCommandName()

Specified by:
  `getCommandName` in interface `co.aikar.commands.RootCommand`

### getDefCommand

public co.aikar.commands.BaseCommand getDefCommand()

Specified by:
  `getDefCommand` in interface `co.aikar.commands.RootCommand`